Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class EnvironmentStats

    java.lang.Object
      com.sleepycat.je.EnvironmentStats

All Implemented Interfaces:
  Serializable

    public class EnvironmentStats

extends Object
implements Serializable

System wide statistics for a single environment.

See Also:
  Serialized Form

Method Summary
`long` | `getAdminBytes()` The number of bytes of JE cache used for log cleaning metadata and other administrative structures.
`long` | `getBufferBytes()` The total memory currently consumed by log buffers, in bytes.
`long` | `getCacheDataBytes()` Deprecated. Please use `getDataBytes()` to get the amount of cache used for data and use `getAdminBytes()`, `getLockBytes()` and `getBufferBytes()` to get other components of the total cache usage (`getCacheTotalBytes()`).
`long` | `getCacheTotalBytes()` The total amount of JE cache in use, in bytes.
`int` | `getCleanerBacklog()` The number of files to be cleaned to reach the target utilization.
`long` | `getCursorsBins()` The number of bins encountered by the INCompressor that had cursors referring to them when the compressor ran.
`long` | `getDataBytes()` The amount of JE cache used for holding data, keys and internal Btree nodes, in bytes.
`long` | `getDbClosedBins()` The number of bins encountered by the INCompressor that had their database closed between the time they were put on the compressor queue and when the compressor ran.
`long` | `getEndOfLog()` The location of the next entry to be written to the log.
`long` | `getInCompQueueSize()` The number of entries in the INCompressor queue when the getStats() call was made.
`long` | `getLastCheckpointEnd()` The location in the log of the last checkpoint end.
`long` | `getLastCheckpointId()` The Id of the last checkpoint.
`long` | `getLastCheckpointStart()` The location in the log of the last checkpoint start.
`long` | `getLockBytes()` The number of bytes of JE cache used for holding locks and transactions.
`long` | `getNBINsStripped()` The number of BINS stripped by the evictor.
`long` | `getNCacheMiss()` The total number of requests for database objects which were not in memory.
`long` | `getNCheckpoints()` The total number of checkpoints run so far.
`long` | `getNCleanerDeletions()` The number of cleaner file deletions this session.
`long` | `getNCleanerEntriesRead()` The accumulated number of log entries read by the cleaner.
`long` | `getNCleanerRuns()` The number of cleaner runs this session.
`long` | `getNClusterLNsProcessed()` The accumulated number of LNs processed because they qualify for clustering.
`long` | `getNDeltaINFlush()` The accumulated number of Delta INs flushed to the log.
`long` | `getNEvictPasses()` The number of passes made to the evictor.
`int` | `getNFileOpens()` The number of times a log file has been opened.
`long` | `getNFSyncRequests()` The number of fsyncs requested through the group commit manager.
`long` | `getNFSyncs()` The number of fsyncs issued through the group commit manager.
`long` | `getNFSyncTimeouts()` The number of fsync requests submitted to the group commit manager which timed out.
`long` | `getNFullBINFlush()` The accumulated number of full BINS flushed to the log.
`long` | `getNFullINFlush()` The accumulated number of full INs flushed to the log.
`long` | `getNINsCleaned()` The accumulated number of INs cleaned.
`long` | `getNINsDead()` The accumulated number of INs that were not found in the tree anymore (deleted).
`long` | `getNINsMigrated()` The accumulated number of INs migrated.
`long` | `getNINsObsolete()` The accumulated number of INs obsolete.
`long` | `getNLNQueueHits()` The accumulated number of LNs processed without a tree lookup.
`long` | `getNLNsCleaned()` The accumulated number of LNs cleaned.
`long` | `getNLNsDead()` The accumulated number of LNs that were not found in the tree anymore (deleted).
`long` | `getNLNsLocked()` The accumulated number of LNs encountered that were locked.
`long` | `getNLNsMarked()` The accumulated number of LNs that were marked for migration during cleaning.
`long` | `getNLNsMigrated()` The accumulated number of LNs encountered that were migrated forward in the log.
`long` | `getNLNsObsolete()` The accumulated number of LNs obsolete.
`int` | `getNLogBuffers()` The number of log buffers currently instantiated.
`long` | `getNMarkedLNsProcessed()` The accumulated number of LNs processed because they were previously marked for migration.
`long` | `getNNodesExplicitlyEvicted()` The accumulated number of nodes evicted.
`long` | `getNNodesScanned()` The accumulated number of nodes scanned in order to select the eviction set.
`long` | `getNNodesSelected()` The accumulated number of nodes selected to evict.
`long` | `getNNotResident()` The number of requests for database objects not contained within the in memory data structures.
`long` | `getNonEmptyBins()` The number of bins encountered by the INCompressor that were not actually empty when the compressor ran.
`int` | `getNOpenFiles()` The number of files currently open in the file cache.
`long` | `getNPendingLNsLocked()` The accumulated number of pending LNs that could not be locked for migration because of a long duration application lock.
`long` | `getNPendingLNsProcessed()` The accumulated number of LNs processed because they were previously locked.
`long` | `getNRandomReadBytes()` The number of bytes read which required respositioning the disk head more than 1MB from the previous file position.
`long` | `getNRandomReads()` The number of disk reads which required respositioning the disk head more than 1MB from the previous file position.
`long` | `getNRandomWriteBytes()` The number of bytes written which required respositioning the disk head more than 1MB from the previous file position.
`long` | `getNRandomWrites()` The number of disk writes which required respositioning the disk head by more than 1MB from the previous file position.
`long` | `getNRepeatFaultReads()` The number of reads which had to be repeated when faulting in an object from disk because the read chunk size controlled by je.log.faultReadSize is too small.
`long` | `getNRepeatIteratorReads()` The number of times we try to read a log entry larger than the read buffer size and can't grow the log buffer to accommodate the large object.
`long` | `getNRootNodesEvicted()` The accumulated number of database root nodes evicted.
`long` | `getNSequentialReadBytes()` The number of bytes read which did not require respositioning the disk head more than 1MB from the previous file position.
`long` | `getNSequentialReads()` The number of disk reads which did not require respositioning the disk head more than 1MB from the previous file position.
`long` | `getNSequentialWriteBytes()` The number of bytes written which did not require respositioning the disk head more than 1MB from the previous file position.
`long` | `getNSequentialWrites()` The number of disk writes which did not require respositioning the disk head by more than 1MB from the previous file position.
`int` | `getNSharedCacheEnvironments()` The number of environments using the shared cache.
`long` | `getNTempBufferWrites()` The number of writes which had to be completed using the temporary marshalling buffer because the fixed size log buffers specified by je.log.totalBufferBytes and je.log.numBuffers were not large enough.
`long` | `getNToBeCleanedLNsProcessed()` The accumulated number of LNs processed because they are soon to be cleaned.
`long` | `getProcessedBins()` The number of bins that were successfully processed by the IN Compressor.
`long` | `getRequiredEvictBytes()` The number of bytes that must be evicted in order to get within the memory budget.
`long` | `getSharedCacheTotalBytes()` The total amount of the shared JE cache in use, in bytes.
`long` | `getSplitBins()` The number of bins encountered by the INCompressor that were split between the time they were put on the compressor queue and when the compressor ran.
`long` | `getTotalLogSize()` An approximation of the current total log size in bytes.
`String` | `toString()` Returns a String representation of the stats in the form of <stat>=<value>

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCursorsBins

    public long getCursorsBins()

  The number of bins encountered by the INCompressor that had cursors referring to them when the compressor ran.

### getDbClosedBins

    public long getDbClosedBins()

  The number of bins encountered by the INCompressor that had their database closed between the time they were put on the compressor queue and when the compressor ran.

### getInCompQueueSize

    public long getInCompQueueSize()

  The number of entries in the INCompressor queue when the getStats() call was made.

### getLastCheckpointId

    public long getLastCheckpointId()

  The Id of the last checkpoint.

### getNCacheMiss

    public long getNCacheMiss()

  The total number of requests for database objects which were not in memory.

### getNCheckpoints

    public long getNCheckpoints()

  The total number of checkpoints run so far.

### getCleanerBacklog

    public int getCleanerBacklog()

  The number of files to be cleaned to reach the target utilization.

### getNCleanerRuns

    public long getNCleanerRuns()

  The number of cleaner runs this session.

### getNCleanerDeletions

    public long getNCleanerDeletions()

  The number of cleaner file deletions this session.

### getNDeltaINFlush

    public long getNDeltaINFlush()

  The accumulated number of Delta INs flushed to the log.

### getLastCheckpointEnd

    public long getLastCheckpointEnd()

  The location in the log of the last checkpoint end.

### getEndOfLog

    public long getEndOfLog()

  The location of the next entry to be written to the log.

  Note that the log entries prior to this position may not yet have been flushed to disk. Flushing can be forced using a Sync or WriteNoSync commit, or a checkpoint.

### getLastCheckpointStart

    public long getLastCheckpointStart()

  The location in the log of the last checkpoint start.

### getNCleanerEntriesRead

    public long getNCleanerEntriesRead()

  The accumulated number of log entries read by the cleaner.

### getNEvictPasses

    public long getNEvictPasses()

  The number of passes made to the evictor.

### getNFSyncs

    public long getNFSyncs()

  The number of fsyncs issued through the group commit manager.

### getNFSyncRequests

    public long getNFSyncRequests()

  The number of fsyncs requested through the group commit manager.

### getNFSyncTimeouts

    public long getNFSyncTimeouts()

  The number of fsync requests submitted to the group commit manager which timed out.

### getNFullINFlush

    public long getNFullINFlush()

  The accumulated number of full INs flushed to the log.

### getNFullBINFlush

    public long getNFullBINFlush()

  The accumulated number of full BINS flushed to the log.

### getNINsObsolete

    public long getNINsObsolete()

  The accumulated number of INs obsolete.

### getNINsCleaned

    public long getNINsCleaned()

  The accumulated number of INs cleaned.

### getNINsDead

    public long getNINsDead()

  The accumulated number of INs that were not found in the tree anymore (deleted).

### getNINsMigrated

    public long getNINsMigrated()

  The accumulated number of INs migrated.

### getNLNsObsolete

    public long getNLNsObsolete()

  The accumulated number of LNs obsolete.

### getNLNsCleaned

    public long getNLNsCleaned()

  The accumulated number of LNs cleaned.

### getNLNsDead

    public long getNLNsDead()

  The accumulated number of LNs that were not found in the tree anymore (deleted).

### getNLNsLocked

    public long getNLNsLocked()

  The accumulated number of LNs encountered that were locked.

### getNLNsMigrated

    public long getNLNsMigrated()

  The accumulated number of LNs encountered that were migrated forward in the log.

### getNLNsMarked

    public long getNLNsMarked()

  The accumulated number of LNs that were marked for migration during cleaning.

### getNLNQueueHits

    public long getNLNQueueHits()

  The accumulated number of LNs processed without a tree lookup.

### getNPendingLNsProcessed

    public long getNPendingLNsProcessed()

  The accumulated number of LNs processed because they were previously locked.

### getNMarkedLNsProcessed

    public long getNMarkedLNsProcessed()

  The accumulated number of LNs processed because they were previously marked for migration.

### getNToBeCleanedLNsProcessed

    public long getNToBeCleanedLNsProcessed()

  The accumulated number of LNs processed because they are soon to be cleaned.

### getNClusterLNsProcessed

    public long getNClusterLNsProcessed()

  The accumulated number of LNs processed because they qualify for clustering.

### getNPendingLNsLocked

    public long getNPendingLNsLocked()

  The accumulated number of pending LNs that could not be locked for migration because of a long duration application lock.

### getNLogBuffers

    public int getNLogBuffers()

  The number of log buffers currently instantiated.

### getNRandomReads

    public long getNRandomReads()

  The number of disk reads which required respositioning the disk head more than 1MB from the previous file position. Reads in a different *.jdb log file then the last IO constitute a random read.

  This number is approximate and may differ from the actual number of random disk reads depending on the type of disks and file system, disk geometry, and file system cache size.

### getNRandomReadBytes

    public long getNRandomReadBytes()

  The number of bytes read which required respositioning the disk head more than 1MB from the previous file position. Reads in a different *.jdb log file then the last IO constitute a random read.

  This number is approximate vary depending on the type of disks and file system, disk geometry, and file system cache size.

### getNRandomWrites

    public long getNRandomWrites()

  The number of disk writes which required respositioning the disk head by more than 1MB from the previous file position. Writes to a different *.jdb log file (i.e. a file "flip") then the last IO constitute a random write.

  This number is approximate and may differ from the actual number of random disk writes depending on the type of disks and file system, disk geometry, and file system cache size.

### getNRandomWriteBytes

    public long getNRandomWriteBytes()

  The number of bytes written which required respositioning the disk head more than 1MB from the previous file position. Writes in a different *.jdb log file then the last IO constitute a random write.

  This number is approximate vary depending on the type of disks and file system, disk geometry, and file system cache size.

### getNSequentialReads

    public long getNSequentialReads()

  The number of disk reads which did not require respositioning the disk head more than 1MB from the previous file position. Reads in a different *.jdb log file then the last IO constitute a random read.

  This number is approximate and may differ from the actual number of sequential disk reads depending on the type of disks and file system, disk geometry, and file system cache size.

### getNSequentialReadBytes

    public long getNSequentialReadBytes()

  The number of bytes read which did not require respositioning the disk head more than 1MB from the previous file position. Reads in a different *.jdb log file then the last IO constitute a random read.

  This number is approximate vary depending on the type of disks and file system, disk geometry, and file system cache size.

### getNSequentialWrites

    public long getNSequentialWrites()

  The number of disk writes which did not require respositioning the disk head by more than 1MB from the previous file position. Writes to a different *.jdb log file (i.e. a file "flip") then the last IO constitute a random write.

  This number is approximate and may differ from the actual number of sequential disk writes depending on the type of disks and file system, disk geometry, and file system cache size.

### getNSequentialWriteBytes

    public long getNSequentialWriteBytes()

  The number of bytes written which did not require respositioning the disk head more than 1MB from the previous file position. Writes in a different *.jdb log file then the last IO constitute a random write.

  This number is approximate vary depending on the type of disks and file system, disk geometry, and file system cache size.

### getNNodesExplicitlyEvicted

    public long getNNodesExplicitlyEvicted()

  The accumulated number of nodes evicted.

### getNRootNodesEvicted

    public long getNRootNodesEvicted()

  The accumulated number of database root nodes evicted.

### getNBINsStripped

    public long getNBINsStripped()

  The number of BINS stripped by the evictor.

### getRequiredEvictBytes

    public long getRequiredEvictBytes()

  The number of bytes that must be evicted in order to get within the memory budget.

### getNNodesScanned

    public long getNNodesScanned()

  The accumulated number of nodes scanned in order to select the eviction set.

### getNNodesSelected

    public long getNNodesSelected()

  The accumulated number of nodes selected to evict.

### getNSharedCacheEnvironments

    public int getNSharedCacheEnvironments()

  The number of environments using the shared cache. This method says nothing about whether this environment is using the shared cache or not.

### getSharedCacheTotalBytes

    public long getSharedCacheTotalBytes()

  The total amount of the shared JE cache in use, in bytes. If this environment uses the shared cache, this method returns the total amount used by all environments that are sharing the cache. If this environment does not use the shared cache, this method returns zero.

  To get the configured maximum cache size, see `EnvironmentMutableConfig.getCacheSize()`.

### getCacheTotalBytes

    public long getCacheTotalBytes()

  The total amount of JE cache in use, in bytes. If this environment uses the shared cache, this method returns only the amount used by this environment.

  This method returns the sum of `getDataBytes()`, `getAdminBytes()`, `getLockBytes()` and `getBufferBytes()`.

  To get the configured maximum cache size, see `EnvironmentMutableConfig.getCacheSize()`.

### getBufferBytes

    public long getBufferBytes()

  The total memory currently consumed by log buffers, in bytes. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getDataBytes

    public long getDataBytes()

  The amount of JE cache used for holding data, keys and internal Btree nodes, in bytes. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getAdminBytes

    public long getAdminBytes()

  The number of bytes of JE cache used for log cleaning metadata and other administrative structures. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getLockBytes

    public long getLockBytes()

  The number of bytes of JE cache used for holding locks and transactions. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getCacheDataBytes

    public long getCacheDataBytes()

  Deprecated. Please use `getDataBytes()` to get the amount of cache used for data and use `getAdminBytes()`, `getLockBytes()` and `getBufferBytes()` to get other components of the total cache usage (`getCacheTotalBytes()`).

  The amount of JE cache used for all items except for the log buffers, in bytes. If this environment uses the shared cache, this method returns only the amount used by this environment.

### getNNotResident

    public long getNNotResident()

  The number of requests for database objects not contained within the in memory data structures.

### getNonEmptyBins

    public long getNonEmptyBins()

  The number of bins encountered by the INCompressor that were not actually empty when the compressor ran.

### getProcessedBins

    public long getProcessedBins()

  The number of bins that were successfully processed by the IN Compressor.

### getNRepeatFaultReads

    public long getNRepeatFaultReads()

  The number of reads which had to be repeated when faulting in an object from disk because the read chunk size controlled by je.log.faultReadSize is too small.

### getNTempBufferWrites

    public long getNTempBufferWrites()

  The number of writes which had to be completed using the temporary marshalling buffer because the fixed size log buffers specified by je.log.totalBufferBytes and je.log.numBuffers were not large enough.

### getNRepeatIteratorReads

    public long getNRepeatIteratorReads()

  The number of times we try to read a log entry larger than the read buffer size and can't grow the log buffer to accommodate the large object. This happens during scans of the log during activities like environment open or log cleaning. Implies that the read chunk size controlled by je.log.iteratorReadSize is too small.

### getNFileOpens

    public int getNFileOpens()

  The number of times a log file has been opened.

### getNOpenFiles

    public int getNOpenFiles()

  The number of files currently open in the file cache.

### getTotalLogSize

    public long getTotalLogSize()

  An approximation of the current total log size in bytes.

### getSplitBins

    public long getSplitBins()

  The number of bins encountered by the INCompressor that were split between the time they were put on the compressor queue and when the compressor ran.

### toString

    public String toString()

  Returns a String representation of the stats in the form of <stat>=<value>

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.